[ANY] Update gradle

This commit is contained in:
Gravita 2021-09-14 18:06:14 +07:00
parent 11af2943db
commit a09c2dff54

165
gradlew vendored
View file

@ -69,18 +69,18 @@ app_path=$0
# Need this for daisy-chained symlinks. # Need this for daisy-chained symlinks.
while while
APP_HOME=${app_path%"${app_path##*/}"} # leaves a trailing /; empty if no leading path APP_HOME=${app_path%"${app_path##*/}"} # leaves a trailing /; empty if no leading path
[ -h "$app_path" ] [ -h "$app_path" ]
do do
ls=$( ls -ld "$app_path" ) ls=$(ls -ld "$app_path")
link=${ls#*' -> '} link=${ls#*' -> '}
case $link in #( case $link in #(
/*) app_path=$link ;; #( /*) app_path=$link ;; #(
*) app_path=$APP_HOME$link ;; *) app_path=$APP_HOME$link ;;
esac esac
done done
APP_HOME=$( cd "${APP_HOME:-./}" && pwd -P ) || exit APP_HOME=$(cd "${APP_HOME:-./}" && pwd -P) || exit
APP_NAME="Gradle" APP_NAME="Gradle"
APP_BASE_NAME=${0##*/} APP_BASE_NAME=${0##*/}
@ -91,15 +91,15 @@ DEFAULT_JVM_OPTS='"-Xmx64m" "-Xms64m"'
# Use the maximum available, or set MAX_FD != -1 to use that value. # Use the maximum available, or set MAX_FD != -1 to use that value.
MAX_FD=maximum MAX_FD=maximum
warn () { warn() {
echo "$*" echo "$*"
} >&2 } >&2
die () { die() {
echo echo
echo "$*" echo "$*"
echo echo
exit 1 exit 1
} >&2 } >&2
# OS specific support (must be 'true' or 'false'). # OS specific support (must be 'true' or 'false').
@ -107,51 +107,52 @@ cygwin=false
msys=false msys=false
darwin=false darwin=false
nonstop=false nonstop=false
case "$( uname )" in #( case "$(uname)" in #(
CYGWIN* ) cygwin=true ;; #( CYGWIN*) cygwin=true ;; #(
Darwin* ) darwin=true ;; #( Darwin*) darwin=true ;; #(
MSYS* | MINGW* ) msys=true ;; #( MSYS* | MINGW*) msys=true ;; #(
NONSTOP* ) nonstop=true ;; NONSTOP*) nonstop=true ;;
esac esac
CLASSPATH=$APP_HOME/gradle/wrapper/gradle-wrapper.jar CLASSPATH=$APP_HOME/gradle/wrapper/gradle-wrapper.jar
# Determine the Java command to use to start the JVM. # Determine the Java command to use to start the JVM.
if [ -n "$JAVA_HOME" ] ; then if [ -n "$JAVA_HOME" ]; then
if [ -x "$JAVA_HOME/jre/sh/java" ] ; then if [ -x "$JAVA_HOME/jre/sh/java" ]; then
# IBM's JDK on AIX uses strange locations for the executables # IBM's JDK on AIX uses strange locations for the executables
JAVACMD=$JAVA_HOME/jre/sh/java JAVACMD=$JAVA_HOME/jre/sh/java
else else
JAVACMD=$JAVA_HOME/bin/java JAVACMD=$JAVA_HOME/bin/java
fi fi
if [ ! -x "$JAVACMD" ] ; then if [ ! -x "$JAVACMD" ]; then
die "ERROR: JAVA_HOME is set to an invalid directory: $JAVA_HOME die "ERROR: JAVA_HOME is set to an invalid directory: $JAVA_HOME
Please set the JAVA_HOME variable in your environment to match the Please set the JAVA_HOME variable in your environment to match the
location of your Java installation." location of your Java installation."
fi fi
else else
JAVACMD=java JAVACMD=java
which java >/dev/null 2>&1 || die "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH. which java >/dev/null 2>&1 || die "ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
Please set the JAVA_HOME variable in your environment to match the Please set the JAVA_HOME variable in your environment to match the
location of your Java installation." location of your Java installation."
fi fi
# Increase the maximum file descriptors if we can. # Increase the maximum file descriptors if we can.
if ! "$cygwin" && ! "$darwin" && ! "$nonstop" ; then if ! "$cygwin" && ! "$darwin" && ! "$nonstop"; then
case $MAX_FD in #( case $MAX_FD in #(
max*) max*)
MAX_FD=$( ulimit -H -n ) || MAX_FD=$(ulimit -H -n) ||
warn "Could not query maximum file descriptor limit" warn "Could not query maximum file descriptor limit"
esac ;;
case $MAX_FD in #( esac
'' | soft) :;; #( case $MAX_FD in #(
*) '' | soft) : ;; #(
ulimit -n "$MAX_FD" || *)
warn "Could not set maximum file descriptor limit to $MAX_FD" ulimit -n "$MAX_FD" ||
esac warn "Could not set maximum file descriptor limit to $MAX_FD"
;;
esac
fi fi
# Collect all arguments for the java command, stacking in reverse order: # Collect all arguments for the java command, stacking in reverse order:
@ -163,34 +164,36 @@ fi
# * DEFAULT_JVM_OPTS, JAVA_OPTS, and GRADLE_OPTS environment variables. # * DEFAULT_JVM_OPTS, JAVA_OPTS, and GRADLE_OPTS environment variables.
# For Cygwin or MSYS, switch paths to Windows format before running java # For Cygwin or MSYS, switch paths to Windows format before running java
if "$cygwin" || "$msys" ; then if "$cygwin" || "$msys"; then
APP_HOME=$( cygpath --path --mixed "$APP_HOME" ) APP_HOME=$(cygpath --path --mixed "$APP_HOME")
CLASSPATH=$( cygpath --path --mixed "$CLASSPATH" ) CLASSPATH=$(cygpath --path --mixed "$CLASSPATH")
JAVACMD=$( cygpath --unix "$JAVACMD" ) JAVACMD=$(cygpath --unix "$JAVACMD")
# Now convert the arguments - kludge to limit ourselves to /bin/sh # Now convert the arguments - kludge to limit ourselves to /bin/sh
for arg do for arg; do
if if
case $arg in #( case $arg in #(
-*) false ;; # don't mess with options #( -*) false ;; # don't mess with options #(
/?*) t=${arg#/} t=/${t%%/*} # looks like a POSIX filepath /?*)
[ -e "$t" ] ;; #( t=${arg#/} t=/${t%%/*} # looks like a POSIX filepath
*) false ;; [ -e "$t" ]
esac ;; #(
then *) false ;;
arg=$( cygpath --path --ignore --mixed "$arg" ) esac
fi then
# Roll the args list around exactly as many times as the number of arg=$(cygpath --path --ignore --mixed "$arg")
# args, so each arg winds up back in the position where it started, but fi
# possibly modified. # Roll the args list around exactly as many times as the number of
# # args, so each arg winds up back in the position where it started, but
# NB: a `for` loop captures its iteration list before it begins, so # possibly modified.
# changing the positional parameters here affects neither the number of #
# iterations, nor the values presented in `arg`. # NB: a `for` loop captures its iteration list before it begins, so
shift # remove old arg # changing the positional parameters here affects neither the number of
set -- "$@" "$arg" # push replacement arg # iterations, nor the values presented in `arg`.
done shift # remove old arg
set -- "$@" "$arg" # push replacement arg
done
fi fi
# Collect all arguments for the java command; # Collect all arguments for the java command;
@ -200,10 +203,10 @@ fi
# * put everything else in single quotes, so that it's not re-expanded. # * put everything else in single quotes, so that it's not re-expanded.
set -- \ set -- \
"-Dorg.gradle.appname=$APP_BASE_NAME" \ "-Dorg.gradle.appname=$APP_BASE_NAME" \
-classpath "$CLASSPATH" \ -classpath "$CLASSPATH" \
org.gradle.wrapper.GradleWrapperMain \ org.gradle.wrapper.GradleWrapperMain \
"$@" "$@"
# Use "xargs" to parse quoted args. # Use "xargs" to parse quoted args.
# #
@ -225,10 +228,10 @@ set -- \
# #
eval "set -- $( eval "set -- $(
printf '%s\n' "$DEFAULT_JVM_OPTS $JAVA_OPTS $GRADLE_OPTS" | printf '%s\n' "$DEFAULT_JVM_OPTS $JAVA_OPTS $GRADLE_OPTS" |
xargs -n1 | xargs -n1 |
sed ' s~[^-[:alnum:]+,./:=@_]~\\&~g; ' | sed ' s~[^-[:alnum:]+,./:=@_]~\\&~g; ' |
tr '\n' ' ' tr '\n' ' '
)" '"$@"' )" '"$@"'
exec "$JAVACMD" "$@" exec "$JAVACMD" "$@"